#
# Conditional build:
%bcond_without	doc		# build without doc
%bcond_without	tests		# build without tests

%define		orgname		extra-cmake-modules
%define		kdeframever	5.89
Summary:	Extra Cmake Modules for KF5
Summary(pl.UTF-8):	Dodatkowe moduły Cmake'a dla KF5
Name:		kf5-%{orgname}
Version:	5.89.0
Release:	1
License:	BSD
Group:		Development/Building
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{orgname}-%{version}.tar.xz
# Source0-md5:	402dfd0b61fa3772789bebfc06db8a84
Patch0:		%{orgname}-tests.patch
Patch1:		kdefetchtranslations-test.patch
URL:		https://kde.org/
BuildRequires:	cmake >= 3.16
BuildRequires:	qt5-assistant >= 5.9.0
BuildRequires:	qt5-linguist
BuildRequires:	rpmbuild(macros) >= 1.698
BuildRequires:	sed >= 4.0
%{?with_doc:BuildRequires:	sphinx-pdg >= 1.2}
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with tests}
BuildRequires:	Qt5Core-devel >= 5.9.0
BuildRequires:	Qt5Gui-devel >= 5.9.0
BuildRequires:	Qt5Network-devel >= 5.9.0
BuildRequires:	Qt5Qml-devel >= 5.9.0
BuildRequires:	Qt5Quick-devel >= 5.9.0
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	qt5-build >= 5.9.0
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Extra CMake Modules package, or ECM, adds to the modules provided
by CMake, including both ones used by find_package() to find common
software and ones that can be used directly in CMakeLists.txt files to
perform common tasks.

In addition, it provides common build settings used in software
produced by the KDE community.

While the driving force of this module is to reduce duplication in
CMake scripts across KDE software, it is intended to be useful for any
software that uses the CMake build system.

%description -l pl.UTF-8
Pakiet Extra CMake Modules (ECM) dostarcza dodatkowe moduły do tych
dostarczanych przez CMake'a, zawierające te używane przez
find_package() do szukania popularnego oprogramowania, a także takie,
których można używać bezpośrednio w CMakeLists.txt do wykonywania
wspólnych zadań.

Ponadto pakiet dostarcza wspólne ustawienia budowana używane w
oprogramowaniu tworzonym przez społeczność KDE.

O ile główną motywacją tego modułu jest zmniejszenie duplikacji w
skryptach CMake'a w oprogramowaniu KDE, ma także być przydatny dla
dowolnych programów wykorzystujących system budowania CMake.

%package apidocs
Summary:	API documentation for %{orgname}
Summary(pl.UTF-8):	Dokumentacja API %{orgname}
Group:		Documentation
Obsoletes:	kf5-extra-cmake-modules-doc < 1.4.0

%description apidocs
API documentation for %{orgname}.

%description apidocs -l pl.UTF-8
Dokumentacja API dla %{orgname}.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1
%patch1 -p0

# causes make install failure after running tests
%{__sed} -i -e '/ECMToolchainAndroidTest/d' tests/CMakeLists.txt

%build
install -d build
cd build
%cmake \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	%{!?with_doc:-DBUILD_HTML_DOCS=OFF} \
	..

%{__make}

%if %{with tests}
# GenerateSipBindings wants clang and has libclang checks incompatible with libclang >= 4
# ECMPoQmToolsTest fails to build it's own moc file
ctest -E '(GenerateSipBindings|ECMPoQmToolsTest)'
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build -j1 install \
        DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's#/usr/bin/env bash#/bin/bash#' $RPM_BUILD_ROOT%{_datadir}/ECM/kde-modules/kde-git-commit-hooks/pre-commit.in
sed -i -e 's#/usr/bin/env bash#/bin/bash#' $RPM_BUILD_ROOT%{_datadir}/ECM/kde-modules/kde-git-commit-hooks/clang-format.sh

%if %{with doc}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/ECM ECM-doc
%endif
install -d $RPM_BUILD_ROOT%{_datadir}/qlogging-categories5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING-CMAKE-SCRIPTS README.rst
%{_datadir}/ECM
%{_datadir}/qlogging-categories5
%{_mandir}/man7/ecm*.7*

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc ECM-doc/html/*
%endif
%changelog
* Wed Dec 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-extra-cmake-modules.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cbb763c
- updated to 5.89.0

* Thu Nov 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 511160b
- versioned Obsoletes, moved to proper package
- charset_normalizer module is a dependency of python3-requests, not used directly

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> daf6059
- updated to 5.88.0

* Sun Oct 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 98423a8
- python3-charset_normalizer is required unconditionally

* Sun Oct 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1f2c20d
- fix Summary for apidocs

* Sun Oct 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0dd76f0
- separate package apidocs

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 58883f0
- updated to 5.87.0

* Sat Sep 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 3ed29e1
- updated URL and cmake version

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bb2957f
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0602cfc
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 69f9902
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9a117fd
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 109c24a
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 56e540e
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 59b1293
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3d166c4
- updated to 5.79.0

* Sun Jan 31 2021 Jan Palus <atler@pld-linux.org> 1a1e564
- noarch package

* Sat Jul 04 2020 Jakub Bogusz <qboosh@pld-linux.org> cc4fc26
- updated to 5.71.0

* Thu Feb 13 2020 Łukasz Maśko <lmasko@pld-linux.org> 5ef6273
- Up to 5.67.0.

* Sun Dec 29 2019 Łukasz Maśko <lmasko@pld-linux.org> cf491df
- Up to 5.65.

